### Enumeration

# Qmi UimCardApplicationPersonalizationFeature

since: 1.10

#### Declaration

    enum Qmi.UimCardApplicationPersonalizationFeature

#### Description [src]

Card application personalization feature, when a code is required.

Available since: 1.10

#### Members

`QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_GW_NETWORK`

  GW network.

  - Value: `0`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_GW_NETWORK_SUBSET`

  GW network subset.

  - Value: `1`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_GW_SERVICE_PROVIDER`

  GW service provider.

  - Value: `2`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_GW_CORPORATE`

  GW corporate.

  - Value: `3`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_GW_UIM`

  UIM.

  - Value: `4`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_1X_NETWORK_TYPE_1`

  1X network type 1.

  - Value: `5`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_1X_NETWORK_TYPE_2`

  1X network type 2.

  - Value: `6`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_1X_HRPD`

  1X HRPD.

  - Value: `7`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_1X_SERVICE_PROVIDER`

  1X service provider.

  - Value: `8`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_1X_CORPORATE`

  1X corporate.

  - Value: `9`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_1X_RUIM`

  1X R-UIM.

  - Value: `10`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_GW_SERVICE_PROVIDER_NAME`

  GW SPN. Since 1.34.

  - Value: `11`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_GW_SP_EHPLMN`

  GW SP + EHPLMN. Since 1.34.

  - Value: `12`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_GW_ICCID`

  GW ICCID. Since 1.34.

  - Value: `13`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_GW_IMPI`

  GW IMPI. Since 1.34.

  - Value: `14`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_GW_NETWORK_SUBSET_SERVICE_PROVIDER`

  GW network subset and service provider. Since 1.34.

  - Value: `15`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_GW_CARRIER`

  GW carrier. Since 1.34.

  - Value: `16`
  - Available since: 1.10

#### Type functions

###### qmi_uim_card_application_personalization_feature_get_string

Gets the nickname string for the `QmiUimCardApplicationPersonalizationFeature` specified at `val`.

since: 1.10